import * as React from "react";
import styles from "./form-category.style";
import manageJss from "@microsoft/fast-jss-manager-react";
/**
 * Schema form category component definition
 * @extends React.Component
 */
/* tslint:disable-next-line */
class FormCategory extends React.Component {
    constructor(props) {
        super(props);
        this.handleCategoryCollapse = () => {
            this.setState({
                expanded: !this.state.expanded,
            });
        };
        this.state = {
            expanded: this.props.expandable || false,
        };
    }
    /**
     * Renders the component
     */
    render() {
        return (React.createElement("div", null,
            this.props.expandable
                ? this.renderHeaderButton()
                : this.renderHeaderTitle(),
            React.createElement("div", Object.assign({ className: this.getClassNames() }, this.generateContainerAttributes()), this.props.children)));
    }
    generateContainerAttributes() {
        const attributes = {
            id: this.props.id,
        };
        if (this.props.expandable) {
            attributes["aria-hidden"] = !this.state.expanded;
        }
        return attributes;
    }
    getClassNames() {
        return this.props.expandable && !this.state.expanded
            ? this.props.managedClasses.formCategory__collapsed
            : null;
    }
    renderHeaderButton() {
        return (React.createElement("button", { onClick: this.handleCategoryCollapse, "aria-expanded": this.state.expanded, "aria-controls": this.props.id, className: this.props.managedClasses.formCategory_button }, this.props.title));
    }
    renderHeaderTitle() {
        return (React.createElement("h3", { className: this.props.managedClasses.formCategory_header }, this.props.title));
    }
}
FormCategory.displayName = "FormCategory";
export default manageJss(styles)(FormCategory);
