import * as React from "react";
import { FormControlProps, FormControlState } from "./form-control.props";
declare class FormControl extends React.Component<FormControlProps, FormControlState> {
    static displayName: string;
    constructor(props: FormControlProps);
    render(): React.ReactNode;
    /**
     * React lifecycle hook
     */
    componentWillUpdate(nextProps: FormControlProps): void;
    /**
     * Renders form items
     */
    private renderFormItem;
    private renderChildren;
    /**
     * Renders the array form item
     */
    private renderArray;
    /**
     * Renders the number field form item
     */
    private renderNumberField;
    /**
     * Renders the checkbox form item
     */
    private renderCheckbox;
    /**
     * Renders the mapping form item which in turn
     * renders one of the special form items
     * assigned via the componentMappingToPropertyNames prop
     */
    private renderMapping;
    /**
     * Renders a section link for properties
     * that are objects
     */
    private renderSectionLink;
    /**
     * Renders the textarea form item
     */
    private renderTextarea;
    /**
     * Renders the select form item
     */
    private renderSelect;
    /**
     * Renders a select if the root level has a oneOf or anyOf
     */
    private renderAnyOfOneOfSelect;
    /**
     * Handles updating to another active section
     */
    private handleUpdateSection;
    /**
     * Handles the onClick of the section link, changes from controlled to uncontrolled if location is passed
     */
    private handleSectionLinkClick;
    /**
     * Handles updating the schema to another active oneOf/anyOf schema
     */
    private handleAnyOfOneOfClick;
    /**
     * Gets the common form item props
     */
    private getFormItemCommonProps;
}
export default FormControl;
export { FormControlProps };
