import * as React from "react";
import styles from "./form-item.align-horizontal.style";
import manageJss from "@microsoft/fast-jss-manager-react";
import FormItemBase from "./form-item.base";
/**
 * Schema form component definition
 * @extends React.Component
 */
/* tslint:disable-next-line */
class FormItemAlignHorizontal extends FormItemBase {
    constructor() {
        super(...arguments);
        this.onChange = (value) => {
            this.props.onChange(this.props.dataLocation, value);
        };
    }
    render() {
        return (React.createElement("div", { className: this.props.managedClasses.formItemAlignHorizontal },
            React.createElement("div", { className: this.props.managedClasses.formItemAlignHorizontal_control },
                React.createElement("label", { className: this.props.managedClasses.formItemAlignHorizontal_controlLabel, htmlFor: this.props.dataLocation }, this.props.label),
                React.createElement("div", { className: this.props.managedClasses
                        .formItemAlignHorizontal_controlInputContainer },
                    this.renderInput("left", 1),
                    this.renderInput("center", 2),
                    this.renderInput("right", 3))),
            React.createElement("div", { className: this.props.managedClasses.formItemAlignHorizontal_softRemove }, this.renderSoftRemove(this.props.managedClasses.formItemAlignHorizontal_softRemoveInput))));
    }
    isChecked(direction) {
        return (this.props.data === direction ||
            (typeof this.props.data === "undefined" && this.props.default === direction));
    }
    getInputClassName(direction) {
        switch (direction) {
            case "left":
                return this.props.managedClasses
                    .formItemAlignHorizontal_controlInput__left;
            case "center":
                return this.props.managedClasses
                    .formItemAlignHorizontal_controlInput__center;
            case "right":
                return this.props.managedClasses
                    .formItemAlignHorizontal_controlInput__right;
        }
    }
    renderInput(direction, index) {
        if (this.props.options && Array.isArray(this.props.options)) {
            const option = this.props.options.find((item) => {
                return item === direction;
            });
            if (typeof option !== "undefined") {
                const className = this.getInputClassName(direction);
                return (React.createElement("span", null,
                    React.createElement("input", { className: className, id: this.props.dataLocation, type: "radio", value: direction, name: this.props.dataLocation, "aria-label": `${direction} align`, onChange: this.onChange.bind(this, direction), checked: this.isChecked(direction), disabled: this.props.disabled })));
            }
        }
    }
}
FormItemAlignHorizontal.displayName = "FormItemAlignHorizontal";
export default manageJss(styles)(FormItemAlignHorizontal);
