import * as React from "react";
import SoftRemove from "./soft-remove";
/**
 * Schema form component definition
 * This is the base component for form item components.
 * @extends React.Component
 */
class FormItemBase extends React.Component {
    constructor() {
        super(...arguments);
        this.handleSoftRemove = () => {
            if (typeof this.props.data !== "undefined") {
                this.cache = this.props.data;
                return this.props.onChange(this.props.dataLocation, undefined);
            }
            else {
                return this.props.onChange(this.props.dataLocation, this.cache);
            }
        };
    }
    renderSoftRemove(className) {
        if (!this.props.required) {
            return (React.createElement(SoftRemove, { className: className, checked: this.props.data !== undefined, onChange: this.handleSoftRemove }));
        }
    }
}
export default FormItemBase;
