import * as React from "react";
import styles from "./form-item.checkbox.style";
import manageJss from "@microsoft/fast-jss-manager-react";
import FormItemBase from "./form-item.base";
/**
 * Schema form component definition
 * @extends React.Component
 */
class FormItemCheckbox extends FormItemBase {
    constructor() {
        super(...arguments);
        /**
         * Handles the onChange of the input element
         */
        this.handleChange = (event) => {
            return this.props.onChange(this.props.dataLocation, event.target.checked);
        };
    }
    render() {
        const value = typeof this.props.data === "boolean"
            ? this.props.data
            : this.props.default || false;
        return (React.createElement("div", { className: this.generateClassNames() },
            React.createElement("input", { className: this.props.managedClasses.formItemCheckbox_input, id: this.props.dataLocation, type: "checkbox", value: value.toString(), onChange: this.handleChange, checked: value, disabled: this.props.disabled }),
            React.createElement("span", null),
            React.createElement("label", { className: this.props.managedClasses.formItemCheckbox_label, htmlFor: this.props.dataLocation }, this.props.label),
            React.createElement("div", { className: this.props.managedClasses.formItemCheckbox_softRemove }, this.renderSoftRemove(this.props.managedClasses.formItemCheckbox_softRemoveInput))));
    }
    /**
     * Generates class names
     */
    generateClassNames() {
        let classNames = this.props.managedClasses.formItemCheckbox;
        if (this.props.disabled) {
            classNames = `${classNames} ${this.props.managedClasses.formItemCheckbox__disabled}`;
        }
        return classNames;
    }
}
FormItemCheckbox.displayName = "FormItemCheckbox";
export default manageJss(styles)(FormItemCheckbox);
