import { disabledOpacity, foreground300, foreground800 } from "./form.constants.style";
import { applyControlSingleLineWrapper, applyLabelStyle, applySoftRemove, applySoftRemoveInput, insetStrongBoxShadow, } from "./form.utilities.style";
const styles = {
    formItemCheckbox: Object.assign({}, applyControlSingleLineWrapper(), { position: "relative" }),
    formItemCheckbox__disabled: {
        opacity: `${disabledOpacity}`,
        cursor: "not-allowed",
        "& $formItemCheckbox_label": {
            cursor: "not-allowed",
        },
    },
    formItemCheckbox_label: Object.assign({}, applyLabelStyle(), { marginLeft: "8px" }),
    formItemCheckbox_input: {
        appearance: "none",
        width: "14px",
        height: "14px",
        boxSizing: "border-box",
        borderRadius: "2px",
        border: `1px solid ${foreground800}`,
        float: "right",
        zIndex: "1",
        margin: "0",
        "&:disabled": {
            cursor: "not-allowed",
        },
        "&:hover": {
            border: `1px solid ${foreground300}`,
        },
        "&:focus": Object.assign({ outline: "none" }, insetStrongBoxShadow(foreground300)),
        "& + span": {
            position: "absolute",
            left: "0",
            width: "14px",
            height: "14px",
            "&::after, &::before": {
                position: "absolute",
                display: "block",
                content: "''",
                width: "1px",
                background: foreground300,
            },
        },
        "&:checked": {
            "& + span": {
                "&::before": {
                    height: "3px",
                    left: "4px",
                    top: "7px",
                    transform: "rotate(-45deg)",
                },
                "&::after": {
                    height: "8px",
                    left: "8px",
                    top: "2px",
                    transform: "rotate(45deg)",
                },
            },
        },
    },
    formItemCheckbox_softRemove: Object.assign({}, applySoftRemove()),
    formItemCheckbox_softRemoveInput: Object.assign({}, applySoftRemoveInput()),
};
export default styles;
