import * as React from "react";
import { updateActiveSection } from "./form-section.props";
import FormItemCommon from "./form-item";
import { DataOnChange, FormChildOptionItem } from "./form.props";
import { FormItemChildrenClassNameContract } from "../class-name-contracts/";
import { ManagedJSSProps } from "@microsoft/fast-jss-manager-react";
export interface ChildComponentDataMapping {
    [T: string]: any;
}
export interface ChildComponentConfig {
    /**
     * The JSON schema id for the component
     */
    id: string;
    /**
     * The props for the component
     */
    props: ChildComponentDataMapping;
}
export declare type ChildComponent = ChildComponentConfig | string;
export interface FormItemChildrenProps extends FormItemCommon {
    /**
     * The schema
     */
    schema: any;
    /**
     * The onChange event
     */
    onChange: DataOnChange;
    /**
     * The callback for activating a subcomponent
     */
    onUpdateActiveSection: updateActiveSection;
    /**
     * The potential children to be added
     */
    childOptions: FormChildOptionItem[];
    /**
     * The default children to be added
     */
    defaultChildOptions?: string[];
}
export declare enum Action {
    add = "add",
    edit = "edit",
    delete = "delete"
}
/**
 * State object for the FormItemChildren component
 */
export interface FormItemChildrenState {
    childrenSearchTerm: string;
    indexOfSelectedFilteredChildOption: number;
    filteredChildOptions: FormChildOptionItem[];
    hideChildrenList: boolean;
}
declare const _default: React.ComponentClass<ManagedJSSProps<FormItemChildrenProps & FormItemCommon, FormItemChildrenClassNameContract, {}>, any>;
export default _default;
