import * as React from "react";
import { FormItemComponentMappingToProperyNamesProps } from "./form-item";
export interface FormItemFileUploadState {
    /**
     * If the file-upload is being dragged over
     */
    dragging: boolean;
    /**
     * If the file-upload is currently processing an upload
     */
    processing: boolean;
}
/**
 * Schema form component definition
 * @extends React.Component
 */
declare class FormItemFileUpload extends React.Component<FormItemComponentMappingToProperyNamesProps, FormItemFileUploadState> {
    static displayName: string;
    /**
     * The id of the file input
     */
    fileId: string;
    /**
     * File reader to handle reading / parsing of file data
     */
    private reader;
    constructor(props: FormItemComponentMappingToProperyNamesProps);
    /**
     * Render the component
     */
    render(): JSX.Element;
    /**
     * React lifecycle hook
     */
    componentDidMount(): void;
    /**
     * React lifecycle hook
     */
    componentWillUnMount(): void;
    /**
     * Callback to call when the reader loads file data
     */
    private handleReaderLoad;
    /**
     * Event handler that effectively cancels the event
     */
    private cancelEvent;
    /**
     * Updates the component with new file data
     */
    private updateWithFile;
    /**
     * Event handler for drag-area dragover event
     */
    private dragOver;
    /**
     * Event handler for drag-area drag-leave event
     */
    private dragLeave;
    /**
     * Callback for drop event
     */
    private onDrop;
    /**
     * Callback for input change
     */
    private handleInputOnChange;
    private generateStaticUI;
    private generateProcessingUI;
}
export default FormItemFileUpload;
