import * as React from "react";
import { mappingName } from "./form-item";
import FormItemAlignHorizontal from "./form-item.align-horizontal";
import FormItemAlignVertical from "./form-item.align-vertical";
import FormItemFileUpload from "./form-item.file-upload";
import FormItemTheme from "./form-item.theme";
/**
 * Schema form component definition
 * @extends React.Component
 */
class FormItemMapping extends React.Component {
    render() {
        return React.createElement("div", null, this.renderCustomLayout());
    }
    renderCustomLayout() {
        switch (this.props.name) {
            case mappingName.alignVertical:
                return React.createElement(FormItemAlignVertical, Object.assign({}, this.props));
            case mappingName.alignHorizontal:
                return React.createElement(FormItemAlignHorizontal, Object.assign({}, this.props));
            case mappingName.fileUpload:
                return React.createElement(FormItemFileUpload, Object.assign({}, this.props));
            case mappingName.theme:
                return React.createElement(FormItemTheme, Object.assign({}, this.props));
            default:
                return null;
        }
    }
}
FormItemMapping.displayName = "FormItemMapping";
export default FormItemMapping;
