import * as React from "react";
import styles from "./form-item.textarea.style";
import manageJss from "@microsoft/fast-jss-manager-react";
import FormItemBase from "./form-item.base";
/**
 * Schema form component definition
 * @extends React.Component
 */
class FormItemTextarea extends FormItemBase {
    constructor() {
        super(...arguments);
        this.handleChange = ({ target: { value } }) => {
            return this.props.onChange(this.props.dataLocation, value);
        };
    }
    render() {
        return (React.createElement("div", { className: this.props.managedClasses.formItemTextarea },
            React.createElement("div", { className: this.props.managedClasses.formItemTextarea_control },
                React.createElement("label", { htmlFor: this.props.dataLocation, className: this.props.managedClasses.formItemTextarea_controlLabel }, this.props.label),
                React.createElement("textarea", { className: this.props.managedClasses.formItemTextarea_controlTextarea, id: this.props.dataLocation, name: this.props.dataLocation, rows: typeof this.props.rows === "number" ? this.props.rows : 3, value: this.props.data || "", onChange: this.handleChange, disabled: this.props.disabled })),
            React.createElement("div", { className: this.props.managedClasses.formItemTextarea_softRemove }, this.renderSoftRemove(this.props.managedClasses.formItemTextarea_softRemoveInput))));
    }
}
FormItemTextarea.displayName = "FormItemTextarea";
export default manageJss(styles)(FormItemTextarea);
