import * as React from "react";
import styles from "./form-item.theme.style";
import manageJss from "@microsoft/fast-jss-manager-react";
import FormItemBase from "./form-item.base";
/**
 * Schema form component definition
 * @extends React.Component
 */
/* tslint:disable-next-line */
class FormItemTheme extends FormItemBase {
    constructor() {
        super(...arguments);
        this.onChange = (value) => {
            this.props.onChange(this.props.dataLocation, value);
        };
    }
    render() {
        return (React.createElement("div", { className: this.props.managedClasses.formItemTheme },
            React.createElement("div", { className: this.props.managedClasses.formItemTheme_control },
                React.createElement("label", { className: this.props.managedClasses.formItemTheme_controlLabel, htmlFor: this.props.dataLocation }, this.props.label),
                React.createElement("div", { className: this.props.managedClasses.formItemTheme_controlInputContainer },
                    this.renderInput("light", 1),
                    this.renderInput("dark", 2))),
            React.createElement("div", { className: this.props.managedClasses.formItemTheme_softRemove }, this.renderSoftRemove(this.props.managedClasses.formItemTheme_softRemoveInput))));
    }
    isChecked(theme) {
        return (this.props.data === theme ||
            (typeof this.props.data === "undefined" && this.props.default === theme));
    }
    getInputClassName(theme) {
        return theme === "dark"
            ? this.props.managedClasses.formItemTheme_controlInput__dark
            : this.props.managedClasses.formItemTheme_controlInput__light;
    }
    renderInput(theme, index) {
        if (this.props.options && Array.isArray(this.props.options)) {
            const option = this.props.options.find((item) => {
                return item === theme;
            });
            if (typeof option !== "undefined") {
                const className = this.getInputClassName(theme);
                return (React.createElement("input", { className: className, id: this.props.dataLocation, type: "radio", value: theme, name: "theme", "aria-label": `theme ${theme}`, onChange: this.onChange.bind(this, theme), checked: this.isChecked(theme) }));
            }
        }
    }
}
FormItemTheme.displayName = "FormItemTheme";
export default manageJss(styles)(FormItemTheme);
