import { accent, background000, foreground200, foreground300, } from "./form.constants.style";
import { applyControl, applyControlWrapper, applyLabelStyle, applySoftRemove, applySoftRemoveInput, darkTheme, lightTheme, } from "./form.utilities.style";
function applyThemeInputBackplateStyle() {
    return {
        appearance: "none",
        border: `2px solid ${foreground200}`,
        height: "20px",
        width: "20px",
        margin: "0",
        borderRadius: "2px",
        "&:checked, &:focus": {
            outline: "none",
            borderColor: accent,
        },
        "&:hover": {
            borderColor: background000,
        },
    };
}
const styles = {
    formItemTheme: Object.assign({ display: "flex" }, applyControlWrapper()),
    formItemTheme_control: Object.assign({}, applyControl()),
    formItemTheme_controlLabel: Object.assign({}, applyLabelStyle()),
    formItemTheme_controlInputContainer: {},
    formItemTheme_controlInput__light: Object.assign({}, applyThemeInputBackplateStyle(), { background: lightTheme, backgroundColor: foreground300 }),
    formItemTheme_controlInput__dark: Object.assign({}, applyThemeInputBackplateStyle(), { background: darkTheme, backgroundColor: background000 }),
    formItemTheme_softRemove: Object.assign({}, applySoftRemove()),
    formItemTheme_softRemoveInput: Object.assign({}, applySoftRemoveInput()),
};
export default styles;
