import * as React from "react";
import manageJss from "@microsoft/fast-jss-manager-react";
import styles from "./form-one-of-any-of.style";
import { uniqueId } from "lodash-es";
/**
 * Schema form component definition
 * @extends React.Component
 */
class FormOneOfAnyOf extends React.Component {
    constructor() {
        super(...arguments);
        this.handleChange = (e) => {
            this.props.onUpdate(parseInt(e.target.value, 10));
        };
    }
    render() {
        const id = uniqueId();
        return (React.createElement("div", { className: this.props.managedClasses.formOneOfAnyOf },
            React.createElement("label", { htmlFor: id, className: this.props.managedClasses.formOneOfAnyOf_label }, this.props.label),
            React.createElement("span", { className: this.props.managedClasses.formOneOfAnyOf_selectSpan },
                React.createElement("select", { className: this.props.managedClasses.formOneOfAnyOf_select, id: id, onChange: this.handleChange, value: this.props.activeIndex || 0 }, this.props.children))));
    }
}
FormOneOfAnyOf.displayName = "FormOneOfAnyOf";
export default manageJss(styles)(FormOneOfAnyOf);
