/// <reference types="react" />
import { AttributeSettingsMappingToPropertyNames, FormComponentMappingToPropertyNamesProps, FormOrderByPropertyNamesCategories, FormOrderByPropertyNamesProps } from "./form.props";
import { AssignedCategoryParams, AssignedParamsByCategoryConfig, FormCategoryProps, FormItemParameters, FormItemsWithConfigOptions, FormSectionProps, InitialOneOfAnyOfState, OneOfAnyOf } from "./form-section.props";
import { mappingName } from "./form-item";
import { FormControlProps } from "./form-control.props";
export declare function getInitialOneOfAnyOfState(schema: any, data: any): InitialOneOfAnyOfState;
/**
 * Validate a schema against a set of data
 */
export declare function validateSchema(schema: any, data: any): boolean;
/**
 * Determine if an item is required
 */
export declare function getIsRequired(item: any, required: string[]): boolean;
/**
 * Determine if an item is not required
 */
export declare function getIsNotRequired(item: any, not?: string[]): boolean;
/**
 * Gets the options for a oneOf/anyOf select
 */
export declare function getOneOfAnyOfSelectOptions(schema: any, state: any): JSX.Element[];
/**
 * Find out what the active index should be based on the data
 */
export declare function getOneOfAnyOfActiveIndex(type: string, schema: any, data: any): number;
/**
 * Resolves generated example data with any matching data in the cache
 */
export declare function resolveExampleDataWithCachedData(schema: any, cachedData: any): any;
/**
 * Normalizes a location for getting and setting values
 */
export declare function getNormalizedLocation(location: string, property: string, schema: any): string;
/**
 * Generates example data for a newly added optional schema item
 */
export declare function generateExampleData(schema: any, propertyLocation: string): any;
/**
 * Get the array location
 */
export declare function getArraySchemaLocation(schemaLocation: string, propertyName: string, schema: any, oneOfAnyOf: any): string;
/**
 * Assigns a schema form item mapping based on property name
 */
export declare function formItemMapping(config: FormComponentMappingToPropertyNamesProps, propertyName: string): null | mappingName;
/**
 * Assigns an attribute value based on property names
 */
export declare function formItemAttributeMapping(config: AttributeSettingsMappingToPropertyNames, propertyName: string): number | null;
export declare function checkHasOneOfAnyOf(oneOf: any, anyOf: any): boolean;
export declare function checkIsDifferentSchema(currentSchema: any, nextSchema: any): boolean;
export declare function checkIsDifferentData(currentData: any, nextData: any): boolean;
export declare function getOneOfAnyOfState(oneOfAnyOf: OneOfAnyOf, nextProps: FormSectionProps | FormControlProps): OneOfAnyOf;
export declare function getDataLocationRelativeToRoot(location: string, dataLocation: string): string;
export declare function getData(location: string, data: any): any;
export declare function isSelect(property: any): boolean;
/**
 * Organizes the categories and items by weight
 */
export declare function getWeightedCategoriesAndItems(categoryParams: FormCategoryProps[]): FormCategoryProps[];
export declare function checkIsObject(property: any, schema: any): boolean;
export declare function findAssignedParamsByCategoryProperties(config: AssignedParamsByCategoryConfig): AssignedCategoryParams;
export declare function getCategoryIndex(assignedCategoryParams: AssignedCategoryParams, categoryParams: FormCategoryProps[]): number;
export declare function checkCategoryConfigPropertyCount(formItems: FormItemsWithConfigOptions, orderByPropertyNames: FormOrderByPropertyNamesProps): boolean;
export declare function findOrderedByPropertyNames(category: FormOrderByPropertyNamesCategories, formItemParameter: FormItemParameters, assignedItemWeight: number): AssignedCategoryParams;
export declare function getCategoryParams(formItemParameters: FormItemParameters[], orderByPropertyNames: FormOrderByPropertyNamesProps): FormCategoryProps[];
export declare function handleToggleClick(value: any, id: string, updateRequested: any): any;
export declare function isMapping(location: string, componentMappingToPropertyNames: FormComponentMappingToPropertyNamesProps): boolean;
export declare function getLabel(label: string, title: string): string;
