import { CSSRules } from "@microsoft/fast-jss-manager";
/**
 * Base64 encoded svgs
 */
export declare const lightTheme: string;
export declare const darkTheme: string;
export interface BoxShadowConfig {
    offsetX: number;
    offsetY: number;
    blurRadius: number;
    spreadRadius: number;
    color: string;
    inset?: boolean;
}
export declare function localizePadding(top: number, right: number, bottom: number, left: number): CSSRules<{}>;
export declare function boxShadow(config: BoxShadowConfig): CSSRules<{}>;
/**
 * Mimics a border but with boxShadow (strong in the sense of no blur)
 */
export declare function insetStrongBoxShadow(color: string): CSSRules<{}>;
export declare function applyLabelStyle(): CSSRules<{}>;
export declare function applyInputStyle(): CSSRules<{}>;
/**
 * Common wrapper that surrounds a label and an input
 */
export declare function applyCleanListStyle(): CSSRules<{}>;
export declare function applyGlobalStyle(): CSSRules<{}>;
export declare function applyAriaHiddenStyles(): CSSRules<{}>;
/**
 * Used for styles radio buttons (vertical and horizontal alignment)
 */
export declare function applyInputBackplateStyle(): CSSRules<{}>;
export declare function applySelectInputStyles(): CSSRules<{}>;
export declare function applySelectSpanStyles(): CSSRules<{}>;
export declare function applyRemoveItemStyle(): CSSRules<{}>;
export declare function applyControlWrapper(): CSSRules<{}>;
export declare function applyControlSingleLineWrapper(): CSSRules<{}>;
export declare function applyControl(): CSSRules<{}>;
export declare function applySoftRemove(): CSSRules<{}>;
export declare function applySoftRemoveInput(): CSSRules<{}>;
