export interface FormPluginProps {
    /**
     * The string(s) used to identify the plugin instance,
     *
     * Typically used in conjunction with the `formPluginId` property
     * in a JSON schema and identified in the `mapPluginToSchema` function.
     */
    id: string | string[];
}
export declare abstract class FormPlugin<C extends FormPluginProps> {
    private config;
    constructor(config: C);
    /**
     * Determines if there is a match for the IDs set for the plugin
     * and a provided ID
     */
    matches(id: string): boolean;
    /**
     * Resolves the schema partial given
     */
    resolver(schema: any, data?: any): any;
}
